QGIS Application - Feature request #3989
PostgreSQL hstore support
2011-06-15 09:02 AM - pablotcarreira -

Status: Closed

Priority: Low

Assignee:

Category: Data Provider

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 13980
Description

hstore column type allows postgresq| tables to handle key/value data in a simple manner. At this moment Qgis doesn't shows hstore
columns. It would be great to have access to hstore columns in Qgis.

History

#1-2011-08-01 10:10 AM - Emil Tin

+1. This would definitely make QGIS more useful when working with OpenStreetMap data. For example, the osmosis tool stores tags in a hstore column
when exporting to a PostGIS database.

About hstore: http://www.postgresqgl.org/docs/9.0/static/hstore.html

#2 - 2011-12-16 12:44 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:09 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:23 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2013-02-21 10:08 PM - Denis Rouzaud

Should be solved in commit:8176da04f28682b4a7ab4f396c91186ea8f614da

#6 - 2013-02-22 12:23 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Pull Request or Patch supplied set to No

#7 - 2014-06-23 03:25 AM - Alexandre Neto

This ticket should be closed.

The latest versions of QGIS show hstore fields as text, that can be edited and commited to Postgis DB.

#8 - 2014-06-23 03:25 AM - Paolo Cavallini

- Status changed from Feedback to Closed
- Resolution set to fixed/implemented
http://www.postgresql.org/docs/9.0/static/hstore.html

#9 - 2015-07-06 05:34 AM - baditaflorin -
- File Capture.PNG added

| load the osm.pbf file to a postgresql with osmosis , but then i cannot do nothing with the data, because all the tags are stored ina hstore that i was not albe
to proces, and on the internet i did not find a method to split.

#10 - 2015-07-06 05:35 AM - baditaflorin -

i am using the latest version of QGIS

Files
